=== debian/changelog ===
haskell-text (0.7.1.0-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).
  * Create Build-Depends-Indep.
  * control: Vcs-Darcs: Use simpler URL.

  [ Giovanni Mascellani ]
  * New upstream release

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Mon, 22 Mar 2010 22:40:37 +0100

haskell-text (0.7.0.1-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 15:59:16 +0100

haskell-text (0.7.0.1-2) unstable; urgency=low

  [ Giovanni Mascellani ]
  * debian/watch: Use format that works for --download-current-version.
  * debian/copyright: Add missing bits of copyright information.

  [ Marco Túlio Gontijo e Silva ]
  * debian/watch: Add .tar.gz to downloaded filename.

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Wed, 06 Jan 2010 13:37:00 +0100

haskell-text (0.7.0.1-1) unstable; urgency=low

  * Initial release. (closes: #562286)

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Sun, 27 Dec 2009 16:44:07 +0100
