=== debian/control ===
Source: haskell-text
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Build-Depends:
 debhelper (>= 7),
 haskell-devscripts (>= 0.7),
 cdbs,
 ghc6,
 ghc6-prof,
 libghc6-deepseq-dev,
 libghc6-deepseq-prof
Build-Depends-Indep:
 ghc6-doc,
 libghc6-deepseq-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/text
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-text
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-text

Package: libghc6-text-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: An efficient packed Unicode text type for Haskell - GHC 6 libraries
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-text-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: An efficient packed Unicode text type for Haskell - GHC 6 profiling libraries
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc6-text-doc
Section: doc
Architecture: all
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Description: An efficient packed Unicode text type for Haskell - documentation
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 This package contains the library documentation.
