=== debian/changelog ===
haskell-text (0.11.0.6-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 13 Apr 2011 11:38:29 +0530

haskell-text (0.11.0.5-2) unstable; urgency=low

  * Remove doc-base file (Closes: #620183)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 31 Mar 2011 18:50:44 +0530

haskell-text (0.11.0.5-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Giovanni Mascellani ]
  * Updated my email address.

  [ Joachim Breitner ]
  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 27 Mar 2011 10:51:22 +0530
