=== debian/control ===
--- 
+++ 
@@ -2,24 +2,24 @@
 Priority: extra
 Section: haskell
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
+Uploaders: Giovanni Mascellani <gio@debian.org>
 Build-Depends:
  debhelper (>= 7),
- haskell-devscripts (>= 0.7),
+ haskell-devscripts (>= 0.8),
  cdbs,
- ghc6,
- ghc6-prof,
- libghc6-deepseq-dev,
- libghc6-deepseq-prof
+ ghc,
+ ghc-prof,
+ libghc-deepseq-dev,
+ libghc-deepseq-prof
 Build-Depends-Indep:
- ghc6-doc,
- libghc6-deepseq-doc
-Standards-Version: 3.8.4
+ ghc-doc,
+ libghc-deepseq-doc
+Standards-Version: 3.9.1
 Homepage: http://hackage.haskell.org/package/text
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-text
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-text
 
-Package: libghc6-text-dev
+Package: libghc-text-dev
 Architecture: any
 Depends:
  ${haskell:Depends},
@@ -38,7 +38,7 @@
  .
  This package contains the libraries compiled for GHC 6.
 
-Package: libghc6-text-prof
+Package: libghc-text-prof
 Architecture: any
 Depends:
  ${haskell:Depends},
@@ -56,7 +56,7 @@
  .
  This package contains the profiling libraries compiled for GHC 6.
 
-Package: libghc6-text-doc
+Package: libghc-text-doc
 Section: doc
 Architecture: all
 Depends:
