=== debian/changelog ===
haskell-text (0.11.1.5-1) unstable; urgency=low

  * New upstream release, for haskell platform 2011.3.0.0

 -- Joachim Breitner <nomeata@debian.org>  Wed, 14 Sep 2011 15:16:55 +0200
