=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: An efficient packed Unicode text type for Haskell - GHC 6 libraries
+Description: efficient packed Unicode text type for Haskell - GHC 6 libraries
  This is a Haskell time and space-efficient implementation of Unicode
  text using packed Word16 arrays.  Suitable for performance critical use,
  both in terms of large data quantities and high speed.
@@ -46,7 +46,7 @@
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: An efficient packed Unicode text type for Haskell - GHC 6 profiling libraries
+Description: efficient packed Unicode text type for Haskell - GHC 6 profiling libraries
  This is a Haskell time and space-efficient implementation of Unicode
  text using packed Word16 arrays.  Suitable for performance critical use,
  both in terms of large data quantities and high speed.
@@ -64,7 +64,7 @@
  ${misc:Depends}
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
-Description: An efficient packed Unicode text type for Haskell - documentation
+Description: efficient packed Unicode text type for Haskell - documentation
  This is a Haskell time and space-efficient implementation of Unicode
  text using packed Word16 arrays.  Suitable for performance critical use,
  both in terms of large data quantities and high speed.
