## haskell-text 0.11.1.13

=== debian/changelog ===
haskell-text (0.11.1.13-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Feb 2012 13:12:50 +0100
