=== debian/control ===
--- 
+++ 
@@ -9,11 +9,8 @@
  cdbs,
  ghc,
  ghc-prof,
- libghc-deepseq-dev,
- libghc-deepseq-prof
 Build-Depends-Indep:
  ghc-doc,
- libghc-deepseq-doc
 Standards-Version: 3.9.1
 Homepage: http://hackage.haskell.org/package/text
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-text
@@ -28,7 +25,7 @@
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: efficient packed Unicode text type for Haskell - GHC 6 libraries
+Description: efficient packed Unicode text type for Haskell - GHC libraries
  This is a Haskell time and space-efficient implementation of Unicode
  text using packed Word16 arrays.  Suitable for performance critical use,
  both in terms of large data quantities and high speed.
@@ -36,7 +33,7 @@
  It supports many basic string operations and has some substring search
  tools.
  .
- This package contains the libraries compiled for GHC 6.
+ This package contains the libraries compiled for GHC.
 
 Package: libghc-text-prof
 Architecture: any
@@ -46,7 +43,7 @@
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: efficient packed Unicode text type for Haskell - GHC 6 profiling libraries
+Description: efficient packed Unicode text type for Haskell - GHC profiling libraries
  This is a Haskell time and space-efficient implementation of Unicode
  text using packed Word16 arrays.  Suitable for performance critical use,
  both in terms of large data quantities and high speed.
@@ -54,7 +51,7 @@
  It supports many basic string operations and has some substring search
  tools.
  .
- This package contains the profiling libraries compiled for GHC 6.
+ This package contains the profiling libraries compiled for GHC.
 
 Package: libghc-text-doc
 Section: doc
