## haskell-text 0.11.2.0

=== debian/changelog ===
haskell-text (0.11.2.0-1build2) quantal; urgency=low

  * No-change rebuild with current GHC.

 -- Michael Bienia <geser@ubuntu.com>  Tue, 07 Aug 2012 21:23:23 +0200

haskell-text (0.11.2.0-1build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI on armhf.

 -- Ilya Barygin <randomaction@ubuntu.com>  Thu, 05 Jul 2012 23:40:50 +0400

haskell-text (0.11.2.0-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 13 May 2012 11:50:38 +0200
