## haskell-text 0.11.2.3

=== debian/changelog ===
haskell-text (0.11.2.3-2) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:02:16 +0200

haskell-text (0.11.2.3-1) experimental; urgency=low

  * Depend on haskell-devscripts (>= 0.8.13), to ensure it is built
    against experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 08 Oct 2012 22:45:37 +0200
