=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Giovanni Mascellani <gio@debian.org>
 Build-Depends:
  debhelper (>= 7),
- haskell-devscripts (>= 0.8),
+ haskell-devscripts (>= 0.8.13),
  cdbs,
  ghc,
  ghc-prof,
 Build-Depends-Indep:
  ghc-doc,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/text
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-text
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-text
