=== debian/control ===
Source: haskell-text
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Build-Depends:
 debhelper (>= 9),
 haskell-devscripts (>= 0.8.15),
 cdbs,
 ghc,
 ghc-prof,
Build-Depends-Indep:
 ghc-doc,
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/text
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-text
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-text

Package: libghc-text-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}

Package: libghc-text-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}

Package: libghc-text-doc
Section: doc
Architecture: all
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}
