## haskell-text 1.2.0.6

=== debian/changelog ===
haskell-text (1.2.0.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 26 Jul 2015 20:22:26 +0200

haskell-text (1.2.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 21:43:14 +0200
