## haskell-text 1.2.1.3

=== debian/changelog ===
haskell-text (1.2.1.3-2+x32) unreleased; urgency=medium

  * Don't disable integer-simple on x32.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 13 Feb 2016 19:11:11 +0100

haskell-text (1.2.1.3-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:10 -0500

haskell-text (1.2.1.3-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:51 +0200
