## haskell-text 1.2.2.0

=== debian/changelog ===
haskell-text (1.2.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 10 Jan 2016 21:41:12 -0500
