=== debian/control ===
Source: haskell-text
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/bos/text
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-text-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}

Package: libghc-text-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}

Package: libghc-text-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}
