## haskell-text 1.2.2.2

=== debian/changelog ===
haskell-text (1.2.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 18 Jun 2017 02:17:41 -0400

haskell-text (1.2.2.1-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:36:30 -0400

haskell-text (1.2.2.1-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 09 Oct 2016 23:24:02 -0400
